package com.chelvc.framework.database.context;

import com.chelvc.framework.base.crypto.CipherFactory;

/**
 * 数据库数据加解密上下文接口
 *
 * @author Woody
 * @date 2024/6/25
 */
public interface DatabaseCryptoContext extends CipherFactory {
    /**
     * 判断是否是敏感字段数据混合模式（同时包含明文、密文）
     *
     * @return true/false
     */
    boolean isSensitiveMixed();

    /**
     * 判断是否可写入密文
     *
     * @return true/false
     */
    boolean isSensitiveWritable();
}
