package com.chelvc.framework.group;

import java.util.zip.CRC32;

import com.chelvc.framework.base.context.SessionContextHolder;
import com.chelvc.framework.common.util.StringUtils;
import lombok.NonNull;

/**
 * 基于客户端设备号分组选择器实现
 *
 * @author Woody
 * @date 2024/9/8
 */
public class DeviceGroupSelector implements GroupSelector {
    @Override
    public int grouping(int count, @NonNull Object... args) {
        String device = SessionContextHolder.getDevice();
        if (StringUtils.isEmpty(device)) {
            return -1;
        }
        CRC32 crc = new CRC32();
        crc.update(device.getBytes());
        return (int) (Math.abs(crc.getValue()) % count);
    }
}
