package com.chelvc.framework.security.context;

import com.chelvc.framework.base.context.Session;
import com.chelvc.framework.base.crypto.CipherFactory;

/**
 * 信息安全数据加解密上下文接口
 *
 * @author Woody
 * @date 2024/6/25
 */
public interface SecurityCryptoContext extends CipherFactory {
    /**
     * 数字签名
     *
     * @param session 会话信息
     * @param payload 请求数据
     * @return 签名信息
     */
    String sign(Session session, String payload);
}
